Bug 202689 - Cannot find user-level thread for LWP 4256: generic error
Cannot find user-level thread for LWP 4256: generic error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Jay Turner
:
Depends On: 182116
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:36 EDT by Jan Kratochvil
Modified: 2015-01-07 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0229
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trivia backport for RHEL4U4 gdb-6.3.0.0-1.132.EL4 (749 bytes, patch)
2006-08-15 16:40 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2006-08-15 16:36:50 EDT
+++ This bug was initially created as a clone of Bug #182116 +++

Description of problem:
Cannot find user-level thread for LWP 4256: generic error


Version-Release number of selected component (if applicable):
GNU gdb Red Hat Linux (6.3.0.0-1.84rh)
gdb-6.3.0.0-1.132.EL4 [jan.kratochvil@redhat.com]

How reproducible:
3+ years reproducible

Steps to Reproduce:
1.download a sun jdk ( www.javasoft.com ). It appears that any java jdk
(1.4/1.5/1.6 ) shows this problem
2. gdb /home/gat/JAVA/JDK15/jdk1.5.0_05/bin/javac
3. r
  
Actual results:
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/libthread_db.so.1".

(gdb) r
Starting program: /home/gat/JAVA/JDK15/jdk1.5.0_05/bin/javac
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x742000
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 8029888 (LWP 4256)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Cannot find user-level thread for LWP 4256: generic error
(gdb)


Expected results:
[gat@MyLaptop ~]$ /home/gat/JAVA/JDK15/jdk1.5.0_05/bin/javac
Usage: javac <options> <source files>
where possible options include:
  -g                         Generate all debugging info
  -g:none                    Generate no debugging info
  -g:{lines,vars,source}     Generate only some debugging info
  -nowarn                    Generate no warnings
  -verbose                   Output messages about what the compiler is doing
  -deprecation               Output source locations where deprecated APIs are used
  -classpath <path>          Specify where to find user class files
  -cp <path>                 Specify where to find user class files
  -sourcepath <path>         Specify where to find input source files
  -bootclasspath <path>      Override location of bootstrap class files
  -extdirs <dirs>            Override location of installed extensions
  -endorseddirs <dirs>       Override location of endorsed standards path
  -d <directory>             Specify where to place generated class files
  -encoding <encoding>       Specify character encoding used by source files
  -source <release>          Provide source compatibility with specified release
 -target <release>          Generate class files for specific VM version
  -version                   Version information
  -help                      Print a synopsis of standard options
  -X                         Print a synopsis of nonstandard options
  -J<flag>                   Pass <flag> directly to the runtime system

[gat@MyLaptop ~]$


Additional info:
The javac thread did not die. it appears to be in a "T" state. 
from google, it appears that this bug has been around for a couple of years.

-- Additional comment from web-bugzilla.redhat.com@jankratochvil.net on
2006-06-14 06:20 EST --
Created an attachment (id=130812)
Patch for i386 GDB as of CVS 2006-06-14

It is only a heuristic as execve(2) destroys %gs and gdb(1) fails to find the
no longer existing threads through TLS. Patch will warn and turn off the gdb(1)
threads support if it finds out %gs==0.

-- Additional comment from web-bugzilla.redhat.com@jankratochvil.net on
2006-06-14 06:28 EST --
Created an attachment (id=130814)
Minimized bug reproducibility test case.


-- Additional comment from web-bugzilla.redhat.com@jankratochvil.net on
2006-06-23 10:31 EST --
Created an attachment (id=131435)
Patch for i386 GDB as of CVS 2006-06-14 [rewritten]

TARGET_WAITKIND_EXECD suggested by Daniel Jacobowitz.

-- Additional comment from jan.kratochvil@redhat.com on 2006-07-25 07:14 EST --
FYI Daniel Jacobowitz committed improved minimized (non-TARGET_WAITKIND_EXECD
fixup only) patch to the upstream CVS:

2006-07-24  Jan Kratochvil  <jan.kratochvil@redhat.com>
            Daniel Jacobowitz  <dan@codesourcery.com>

        * linux-thread-db.c (thread_db_wait): Remove libthread_db
        after exec events.


-- Additional comment from jan.kratochvil@redhat.com on 2006-08-01 12:04 EST --
Created an attachment (id=133410)
Extracted the CVS-committed (exec(2)-non following / minimized) patch


-- Additional comment from jan.kratochvil@redhat.com on 2006-08-01 12:08 EST --
Created an attachment (id=133411)
Trivia backport for RHEL4U4 gdb-6.3.0.0-1.132.EL4


-- Additional comment from ezannoni@redhat.com on 2006-08-14 14:21 EST --
Jan, this occures in rawhide, RHEL4 and RHEL3? If so we must clone the bug for
each release.
Comment 1 Jan Kratochvil 2006-08-15 16:40:56 EDT
Created attachment 134261 [details]
Trivia backport for RHEL4U4 gdb-6.3.0.0-1.132.EL4
Comment 2 Jay Turner 2006-08-15 21:22:34 EDT
QE ack for 4.5.
Comment 3 RHEL Product and Program Management 2006-08-18 10:40:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Red Hat Bugzilla 2007-05-01 13:25:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0229.html

Note You need to log in before you can comment on or make changes to this bug.